<bugID>1004167<Summary>loss of subpixel antialiasing of address bar text</Summary><Description>Created attachment 8415575
FF font hinitng 28 vs 29.png

User Agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:29.0) Gecko/20100101 Firefox/29.0 (Beta/Release)
Build ID: 20140428194004

Steps to reproduce:

Look at the text in the address bar of Firefox 29 (Linux).


Actual results:

Notice that the font is not rendered correctly in the address bar. Specifically, the hinting is off and FF29 seems to be purely grayscale (or, in the case of colored text, a varient of that same color).


Expected results:

The text in the URL bar should look the same as it did in previous versions (FF28 and before) and the same as text in other parts of Firefox (like the search bar). The font hinting should be more complex and use colors to look good on screen.

In FF29, putting the same text in the address and search bars will allow for easy comparison and show how the URL bar's font hinting is off.

Note that this, as far as I can tell, only affets the address bar. Text in other places (search bar, etc.) is fine as well.</Description></bugID>